This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 576482

Summary: Review Request: ghc-deepseq - Haskell library to fully evaluate data structures
Product: [Fedora] Fedora Reporter: Jens Petersen <petersen>
Component: Package ReviewAssignee: Bryan O'Sullivan <bos>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bos, fedora-package-review, haskell-devel, notting
Target Milestone: ---Flags: bos: fedora‑review+
petersen: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: ghc-deepseq-1.1.0.0-1.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-04-07 12:02:47 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 507684    

Description Jens Petersen 2010-03-24 04:17:26 EDT
Spec URL: http://petersen.fedorapeople.org/ghc-deepseq/ghc-deepseq.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-deepseq/ghc-deepseq-1.1.0.0-1.fc12.src.rpm
Description: 
Haskell library for fully evaluating data structures.

Needed by the latest parallel package which is part of
haskell-platform-2010.1.0.0 for ghc-6.12.1.
Comment 1 Jens Petersen 2010-03-24 04:33:50 EDT
koji scratch-build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2072100
Comment 2 Bryan O'Sullivan 2010-04-03 14:55:02 EDT
MUST: rpmlint must be run on every package.

None of these warnings or errors are problems.

ghc-deepseq.x86_64: W: spelling-error Summary(en_US) Haskell -> Harrell, Rathskeller, Hastily
ghc-deepseq.x86_64: W: unstripped-binary-or-object /usr/lib64/ghc-6.12.1/deepseq-1.1.0.0/libHSdeepseq-1.1.0.0-ghc6.12.1.so
ghc-deepseq.x86_64: W: executable-stack /usr/lib64/ghc-6.12.1/deepseq-1.1.0.0/libHSdeepseq-1.1.0.0-ghc6.12.1.so
ghc-deepseq-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Harrell, Rathskeller, Hastily
ghc-deepseq-devel.x86_64: W: no-documentation
ghc-deepseq-prof.x86_64: E: devel-dependency ghc-deepseq-devel
ghc-deepseq-prof.x86_64: W: no-documentation
ghc-deepseq-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.1/deepseq-1.1.0.0/libHSdeepseq-1.1.0.0_p.a
4 packages and 0 specfiles checked; 1 errors, 7 warnings.

MUST: The package must be named according to the Package Naming Guidelines .

OK.

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.

OK.

MUST: The package must meet the Packaging Guidelines .

OK.

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

OK.

MUST: The License field in the package spec file must match the actual license.

OK.

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

OK.

MUST: The spec file must be written in American English.

OK.

MUST: The spec file for the package MUST be legible.

OK.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.

OK.

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.

OK.

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.

OK.

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines

OK.

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

OK.

MUST: Packages must NOT bundle copies of system libraries.

OK.

MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.

NA.

MUST: A package must own all directories that it creates.

OK.

MUST: A Fedora package must not list a file more than once in the spec file's %files listings.

OK.

MUST: Permissions on files must be set properly.

OK.

MUST: Each package must consistently use macros.

OK.

MUST: The package must contain code, or permissable content.

OK.

MUST: Large documentation files must go in a -doc subpackage.

OK.

MUST: If a package includes something as %doc, it must not affect the runtime of the application.

OK.

MUST: Header files must be in a -devel package.

OK.

MUST: Static libraries must be in a -static package.

NA.

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 

OK.

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}

OK.

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

OK.

MUST: Packages containing GUI applications must include a %{name}.desktop file

NA.

MUST: Packages must not own files or directories already owned by other packages.

OK.

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

OK.

MUST: All filenames in rpm packages must be valid UTF-8.

OK.

This package is APPROVED.
Comment 3 Jens Petersen 2010-04-05 20:52:53 EDT
Thanks for reviewing, Bryan.


New Package CVS Request
=======================
Package Name: ghc-deepseq
Short Description: Haskell library to fully evaluate data structures
Owners: petersen
Branches: F-13
InitialCC: bos, haskell-sig
Comment 4 Jens Petersen 2010-04-05 21:47:33 EDT
cvs admin done
Comment 5 Fedora Update System 2010-04-07 12:01:04 EDT
ghc-deepseq-1.1.0.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ghc-deepseq-1.1.0.0-1.fc13
Comment 6 Jens Petersen 2010-04-07 12:02:47 EDT
Imported and built for f13 and f14.
Comment 7 Fedora Update System 2010-04-08 23:44:02 EDT
ghc-deepseq-1.1.0.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Jens Petersen 2010-09-16 20:57:27 EDT
Package Change Request
======================
Package Name: ghc-deepseq
New Branches: f12
Owners: petersen
Comment 9 Kevin Fenzi 2010-09-17 12:08:41 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2010-09-19 22:47:30 EDT
ghc-deepseq-1.1.0.0-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/ghc-deepseq-1.1.0.0-1.fc12
Comment 11 Fedora Update System 2010-09-30 06:26:44 EDT
ghc-deepseq-1.1.0.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Jens Petersen 2010-10-05 00:38:53 EDT
Package Change Request
======================
Package Name: ghc-deepseq
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 13 Jason Tibbitts 2010-10-05 09:24:48 EDT
Git done (by process-git-requests).
Comment 14 Jens Petersen 2013-12-27 02:29:21 EST
Package Change Request
======================
Package Name: ghc-deepseq
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 15 Jens Petersen 2014-01-02 06:27:10 EST
Git done (by process-git-requests).